Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport
Class DefaultReplyToHandler

    java.lang.Object
      org.mule.transport.DefaultReplyToHandler

All Implemented Interfaces:
  ReplyToHandler

Direct Known Subclasses:
  AjaxReplyToHandler, JettyContinuationsReplyToHandler, JmsReplyToHandler

    public class DefaultReplyToHandler

extends Object
implements ReplyToHandler

`DefaultReplyToHandler` is responsible for processing a message replyTo header.

Field Summary
`protected Log` | `logger` logger used by this class
`protected MuleContext` | `muleContext`

Constructor Summary
`DefaultReplyToHandler(List<Transformer> transformers, MuleContext muleContext)`

Method Summary
`protected OutboundEndpoint` | `getEndpoint(MuleEvent event, String endpointUri)`
`List<Transformer>` | `getTransformers()`
`void` | `processReplyTo(MuleEvent event, MuleMessage returnMessage, Object replyTo)`
`void` | `setTransformers(List<Transformer> transformers)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final transient Log logger

  logger used by this class

### muleContext

    protected MuleContext muleContext

Constructor Detail

### DefaultReplyToHandler

    public DefaultReplyToHandler(List<Transformer> transformers,
                                 MuleContext muleContext)

Method Detail

### processReplyTo

    public void processReplyTo(MuleEvent event,
                               MuleMessage returnMessage,
                               Object replyTo)
                        throws MuleException

  Specified by:
    `processReplyTo` in interface `ReplyToHandler`
  Throws:
    `MuleException`

### getEndpoint

    protected OutboundEndpoint getEndpoint(MuleEvent event,
                                           String endpointUri)
                                    throws MuleException

  Throws:
    `MuleException`

### getTransformers

    public List<Transformer> getTransformers()

  Specified by:
    `getTransformers` in interface `ReplyToHandler`

### setTransformers

    public void setTransformers(List<Transformer> transformers)

  Specified by:
    `setTransformers` in interface `ReplyToHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.